package org.jvending.provisioning.config.stockinghandlers.impl;

public class PolicyTypeHandler extends org.apache.ws.jaxme.impl.JMSAXElementParser {
  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}remote-max-size
   *  2 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}local-max-size
   *  3 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}fetch-content
   *  4 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}mime-accept
   *  5 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}mime-block
   *  6 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}white-list
   *  7 = While or after parsing the child element {http://jvending.org/xsd/jvending-cp}black-list
   * 
   */
  private int __state;


  public boolean startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    org.apache.ws.jaxme.impl.JMUnmarshallerHandlerImpl _1 = getHandler();
    switch (__state) {
      case 0:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "remote-max-size".equals(pLocalName)) {
          __state = 1;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "local-max-size".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "fetch-content".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-accept".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _2 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeAccept.class);
          java.lang.Object _3 = _2.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _4 = _2.getHandler();
          _4.init(_1, _3, "http://jvending.org/xsd/jvending-cp", "mime-accept", _1.getLevel());
          _4.setAttributes(pAttr);
          _1.addElementParser(_4);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _5 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeBlock.class);
          java.lang.Object _6 = _5.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _7 = _5.getHandler();
          _7.init(_1, _6, "http://jvending.org/xsd/jvending-cp", "mime-block", _1.getLevel());
          _7.setAttributes(pAttr);
          _1.addElementParser(_7);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _8 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _9 = _8.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _10 = _8.getHandler();
          _10.init(_1, _9, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _10.setAttributes(pAttr);
          _1.addElementParser(_10);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _11 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _12 = _11.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _13 = _11.getHandler();
          _13.init(_1, _12, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _13.setAttributes(pAttr);
          _1.addElementParser(_13);
          return true;
        }
        break;
      case 1:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "local-max-size".equals(pLocalName)) {
          __state = 2;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "fetch-content".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-accept".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _14 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeAccept.class);
          java.lang.Object _15 = _14.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _16 = _14.getHandler();
          _16.init(_1, _15, "http://jvending.org/xsd/jvending-cp", "mime-accept", _1.getLevel());
          _16.setAttributes(pAttr);
          _1.addElementParser(_16);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _17 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeBlock.class);
          java.lang.Object _18 = _17.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _19 = _17.getHandler();
          _19.init(_1, _18, "http://jvending.org/xsd/jvending-cp", "mime-block", _1.getLevel());
          _19.setAttributes(pAttr);
          _1.addElementParser(_19);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _20 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _21 = _20.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _22 = _20.getHandler();
          _22.init(_1, _21, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _22.setAttributes(pAttr);
          _1.addElementParser(_22);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _23 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _24 = _23.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _25 = _23.getHandler();
          _25.init(_1, _24, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _25.setAttributes(pAttr);
          _1.addElementParser(_25);
          return true;
        }
        break;
      case 2:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "fetch-content".equals(pLocalName)) {
          __state = 3;
          _1.addSimpleAtomicState();
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-accept".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _26 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeAccept.class);
          java.lang.Object _27 = _26.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _28 = _26.getHandler();
          _28.init(_1, _27, "http://jvending.org/xsd/jvending-cp", "mime-accept", _1.getLevel());
          _28.setAttributes(pAttr);
          _1.addElementParser(_28);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _29 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeBlock.class);
          java.lang.Object _30 = _29.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _31 = _29.getHandler();
          _31.init(_1, _30, "http://jvending.org/xsd/jvending-cp", "mime-block", _1.getLevel());
          _31.setAttributes(pAttr);
          _1.addElementParser(_31);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _32 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _33 = _32.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _34 = _32.getHandler();
          _34.init(_1, _33, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _34.setAttributes(pAttr);
          _1.addElementParser(_34);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _35 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _36 = _35.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _37 = _35.getHandler();
          _37.init(_1, _36, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _37.setAttributes(pAttr);
          _1.addElementParser(_37);
          return true;
        }
        break;
      case 3:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-accept".equals(pLocalName)) {
          __state = 4;
          org.apache.ws.jaxme.JMManager _38 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeAccept.class);
          java.lang.Object _39 = _38.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _40 = _38.getHandler();
          _40.init(_1, _39, "http://jvending.org/xsd/jvending-cp", "mime-accept", _1.getLevel());
          _40.setAttributes(pAttr);
          _1.addElementParser(_40);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _41 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeBlock.class);
          java.lang.Object _42 = _41.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _43 = _41.getHandler();
          _43.init(_1, _42, "http://jvending.org/xsd/jvending-cp", "mime-block", _1.getLevel());
          _43.setAttributes(pAttr);
          _1.addElementParser(_43);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _44 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _45 = _44.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _46 = _44.getHandler();
          _46.init(_1, _45, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _46.setAttributes(pAttr);
          _1.addElementParser(_46);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _47 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _48 = _47.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _49 = _47.getHandler();
          _49.init(_1, _48, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _49.setAttributes(pAttr);
          _1.addElementParser(_49);
          return true;
        }
        break;
      case 4:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          __state = 5;
          org.apache.ws.jaxme.JMManager _50 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.MimeBlock.class);
          java.lang.Object _51 = _50.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _52 = _50.getHandler();
          _52.init(_1, _51, "http://jvending.org/xsd/jvending-cp", "mime-block", _1.getLevel());
          _52.setAttributes(pAttr);
          _1.addElementParser(_52);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _53 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _54 = _53.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _55 = _53.getHandler();
          _55.init(_1, _54, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _55.setAttributes(pAttr);
          _1.addElementParser(_55);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _56 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _57 = _56.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _58 = _56.getHandler();
          _58.init(_1, _57, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _58.setAttributes(pAttr);
          _1.addElementParser(_58);
          return true;
        }
        break;
      case 5:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          __state = 6;
          org.apache.ws.jaxme.JMManager _59 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.WhiteList.class);
          java.lang.Object _60 = _59.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _61 = _59.getHandler();
          _61.init(_1, _60, "http://jvending.org/xsd/jvending-cp", "white-list", _1.getLevel());
          _61.setAttributes(pAttr);
          _1.addElementParser(_61);
          return true;
        } else if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _62 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _63 = _62.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _64 = _62.getHandler();
          _64.init(_1, _63, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _64.setAttributes(pAttr);
          _1.addElementParser(_64);
          return true;
        }
        break;
      case 6:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          __state = 7;
          org.apache.ws.jaxme.JMManager _65 = getHandler().getJMUnmarshaller().getJAXBContextImpl().getManagerS(org.jvending.provisioning.config.stockinghandlers.BlackList.class);
          java.lang.Object _66 = _65.getElementS();
          org.apache.ws.jaxme.impl.JMSAXElementParser _67 = _65.getHandler();
          _67.init(_1, _66, "http://jvending.org/xsd/jvending-cp", "black-list", _1.getLevel());
          _67.setAttributes(pAttr);
          _1.addElementParser(_67);
          return true;
        }
        break;
      case 7:
        break;
      default:
        throw new java.lang.IllegalStateException("Invalid state: " + __state);
    }
    return false;
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, java.lang.Object pResult) throws org.xml.sax.SAXException {
    org.jvending.provisioning.config.stockinghandlers.PolicyType _1 = (org.jvending.provisioning.config.stockinghandlers.PolicyType) result;
    switch (__state) {
      case 1:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "remote-max-size".equals(pLocalName)) {
          try {
            _1.setRemoteMaxSize(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _2) {
            getHandler().parseConversionEvent("Failed to convert value of {http://jvending.org/xsd/jvending-cp}remote-max-size: " + pResult, _2);
          }
          return;
        }
        break;
      case 2:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "local-max-size".equals(pLocalName)) {
          try {
            _1.setLocalMaxSize(getHandler().getDatatypeConverter().parseInteger((java.lang.String) pResult));
          } catch (java.lang.Exception _3) {
            getHandler().parseConversionEvent("Failed to convert value of {http://jvending.org/xsd/jvending-cp}local-max-size: " + pResult, _3);
          }
          return;
        }
        break;
      case 3:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "fetch-content".equals(pLocalName)) {
          _1.setFetchContent(getHandler().getDatatypeConverter().parseBoolean((java.lang.String) pResult));
          return;
        }
        break;
      case 4:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-accept".equals(pLocalName)) {
          _1.setMimeAccept(((org.jvending.provisioning.config.stockinghandlers.MimeAcceptType) pResult));
          return;
        }
        break;
      case 5:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "mime-block".equals(pLocalName)) {
          _1.setMimeBlock(((org.jvending.provisioning.config.stockinghandlers.MimeBlockType) pResult));
          return;
        }
        break;
      case 6:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "white-list".equals(pLocalName)) {
          _1.setWhiteList(((org.jvending.provisioning.config.stockinghandlers.WhiteListType) pResult));
          return;
        }
        break;
      case 7:
        if ("http://jvending.org/xsd/jvending-cp".equals(pNamespaceURI)  &&  "black-list".equals(pLocalName)) {
          _1.setBlackList(((org.jvending.provisioning.config.stockinghandlers.BlackListType) pResult));
          return;
        }
        break;
      default:
        throw new java.lang.IllegalStateException("Illegal state: " + __state);
    }
  }

  public boolean isFinished() {
    switch (__state) {
      case 7:
      case 6:
      case 5:
      case 4:
      case 3:
      case 2:
      case 1:
      case 0:
        return true;
      default:
        return false;
    }
  }

}
